lp:ubuntu/raring/libav

Created by James Westby on 2012-10-20 and last modified on 2013-03-30
Get this branch:
bzr branch lp:ubuntu/raring/libav
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Status:
Mature

Recent revisions

31. By Reinhard Tartler on 2013-03-30

Put back the dh_strip invocations. Otherwise, no .ddebs will be
available at all.

30. By Reinhard Tartler on 2013-03-27

* Merge from debian/unstable, LP: #1160734, remaining changes:
  - don't build against libdirac, lame, libopenjpeg, librtmp, frei0r,
    vo-aacenc, vo-amrenc, x264, and xvid (all in universe)
  - do not build libav-extra-dbg, it is build from the libav-extra source
    package in ubuntu.
  - drop libav-regular-dbg, not necessary in ubuntu
  - Adjust LIB_PKGS/LIB_PKGS2 lists in debian/rules
  - several ifdefs in debian/rules that allow the use of the same file
    in libav and libav-extra (most of this can be merged into the debian
    package)
* Tested that co-instability of libavcodec-dev with libavcodec-extra-53 works.
  LP: #1143929, #1101829
* Remove all debug packages. In ubuntu, we provide debug symbols via the
  .ddeb infrastructure.

29. By Marc Deslauriers on 2013-01-24

* Update to 0.8.5 to fix multiple security issues. (LP: #1104019)
  - CVE-2012-2783
  - CVE-2012-2791
  - CVE-2012-2797
  - CVE-2012-2798
  - CVE-2012-2801
  - CVE-2012-2802
  - CVE-2012-2803
  - CVE-2012-2804
  - CVE-2012-5144

28. By Reinhard Tartler on 2012-12-09

Weaken dependencies on -dev packages. LP: #1038781

27. By Jamie Strandboge on 2012-11-16

No change rebuild for raring

26. By Colin Watson on 2012-10-01

Temporarily fudge the versioning of libavcodec-dev's dependency on
libavcodec-extra-53 to cope with the botched merge of libav-extra.

25. By Reinhard Tartler on 2012-08-07

* Merge from debian, remaining changes:
  - don't build against libdirac, lame, libopenjpeg, librtmp, frei0r,
    vo-aacenc, vo-amrenc, x264, and xvid (all in universe)
  - do not build libav-extra-dbg, it is build from the libav-extra source
    package in ubuntu.
  - drop libav-regular-dbg, not necessary in ubuntu
  - Adjust LIB_PKGS/LIB_PKGS2 lists in debian/rules
  - several ifdefs in debian/rules that allow the use of the same file
    in libav and libav-extra (most of this can be merged into the debian
    package)
  - several dependency fixups in debian/control

24. By Steve Langasek on 2012-07-30

Merge fix for bug #937561

23. By Michael Terry on 2012-07-17

* debian/control:
  - Prefer libtiff5-dev

22. By Reinhard Tartler on 2012-06-10

* New Upstream releases:
    + version 0.8.3:
      - Several bugs and crashes have been fixed in the following codecs: PNG,
        Electronic Arts TQI, H.264 (CVE-2012-0851) and H.263 (CVE-2011-3937)
    + version 0.8.2:
      - Several bugs and crashes have been fixed in the following codecs: AAC,
        APE, H.263, H.264, Indeo 4, Mimic, MJPEG, Motion Pixels Video, RAW,
        TTA, VC1, VQA, WMA Voice, vqavideo (CVE-2012-0947). LP: #980963
      - Several bugs and crashes have been fixed in the following formats:
        ASF, ID3v2, MOV, xWMA
      - This release additionally updates the following codecs to the
        bytestream2 API, and therefore benefit from additional overflow
        checks: truemotion2, utvideo, vqavideo
* libav-tools: add pre-depends on dpkg
* ffmpeg: update Conflict/Replaces relationships

[ Matthieu Baerts (matttbe) <email address hidden> ]
* debian/ffmpeg.install and debian/libav-tools.install:
  - Moved all ffmpeg binaries and manpages to ffmpeg package (LP: #1011136)

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/saucy/libav
This branch contains Public information 
Everyone can see this information.

Subscribers